import { Component, OnInit } from '@angular/core';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { AppConfiguration } from '../AppConfiguration';
import { FileSaverService } from 'ngx-filesaver';


@Component({
  selector: 'app-datasets',
  templateUrl: './datasets.component.html',
  styleUrls: ['./datasets.component.scss']
})


export class DatasetsComponent implements OnInit {
  dataresult: any;
  itemsdatasets: any;

  constructor(
    private appConfig: AppConfiguration,
    private http: HttpClient,
    private _FileSaverService: FileSaverService,
  ) { }

  ngOnInit() {

  }

  listdatasets() {
    var myHeaders = new Headers();
        myHeaders.append("Content-Type", "Application/json");

    var myInit = { method: 'GET', headers: myHeaders};

    var myRequest = new Request('https://data.inra.fr/api/search?q=*&type=dataset&start=60000&show_entity_ids=true',myInit);

          fetch(myRequest, myInit)
          .then(response => {          
              response.json()
                  .then(data => {
                    this.dataresult =JSON.stringify(data['data']['total_count']);                    
                    this.itemsdatasets = data['data']['items'];                      
                  });            
          });    
          return null; 
  }  




}
